#pragma once

#include <QString>
#include <QStringList>

class TextPrinter
{
public:
    static TextPrinter *getInstance();
    void addText(QString);
    QString popAll();

private:
    TextPrinter();

    QStringList m_text;
};

class IPrint
{
    public:
       virtual void print(QString text) { TextPrinter::getInstance()->addText(text); }
};
